Skip to main content
POST
/
api
/
v1
/
a2ui
/
surfaces
/
{surface_id}
/
actions
SubmitAction
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.A2UI.SubmitAction(ctx, operations.C1APIA2uiV1A2UIServiceSubmitActionRequest{
        SurfaceID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.A2UIServiceSubmitActionResponse != nil {
        // handle response
    }
}
{
  "accepted": true,
  "errorMessage": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

surface_id
string
required

The surfaceId field.

Body

application/json

A2UIServiceSubmitActionRequest submits a user action.

actionName
string

The actionName field.

clientTimestamp
string<date-time>
context
object

The context field.

conversationId
string

The conversationId field.

dataModelJson
string

The dataModelJson field.

sourceComponentId
string

The sourceComponentId field.

Response

200 - application/json

A2UIServiceSubmitActionResponse returns the result of an action.

A2UIServiceSubmitActionResponse returns the result of an action.

accepted
boolean

The accepted field.

errorMessage
string

The errorMessage field.